
Application: gvSIG desktop - gvSIG bugs #2650
Error al inicializar el locale en el arranque de gvSIG.
07/08/2014 08:05 PM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category:
Target version: 2.1.0-2238-testing
Severity: Trivial Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Al arrancar gvSIG una de las primeras cosas que hace es inicializar el locale.
Esto provoca que se avise al MDIFrame de gvSIG de que se ha cambiado el locale para intentar soportar el cambio en caliente
cuando este todavia no esta inicializado, fallando y volcando una traza en el registro de errores.

History
#1 - 07/08/2014 08:07 PM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

Se ha añadido una comprobacion para que no intente cominicar al MDIFrame el cambio de locale si este no esta inicializado.

r41511

#2 - 07/21/2014 10:30 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.1.0-2259-rc3 to 2.1.0-2238-testing

#3 - 07/22/2014 07:18 AM - Álvaro Anguix
- Status changed from Fixed to Closed

#4 - 07/22/2014 10:10 AM - Antonio Falciano

This error is disappeared, but the locale is not set correctly (#2677) since build 2234 at least.
